org.apache.maven.profiles

## Class DefaultMavenProfilesBuilder

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.profiles.DefaultMavenProfilesBuilder

All Implemented Interfaces:
  MavenProfilesBuilder

    public class DefaultMavenProfilesBuilder
    extends AbstractLogEnabled
    implements MavenProfilesBuilder

### Field Summary

### Fields inherited from interface org.apache.maven.profiles.MavenProfilesBuilder

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMavenProfilesBuilder()`

### Method Summary

Methods
`ProfilesRoot` `buildProfiles(java.io.File basedir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMavenProfilesBuilder

    public DefaultMavenProfilesBuilder()

### Method Detail

#### buildProfiles

    public ProfilesRoot buildProfiles(java.io.File basedir)
                               throws java.io.IOException,
                                      XmlPullParserException

Specified by:
  `buildProfiles` in interface `MavenProfilesBuilder`
Throws:
  `java.io.IOException`
  `XmlPullParserException`